# MATESSL

MATESSL = "essl" - A matrix type providing direct solvers (LU) for sequential matrices via the external package ESSL. If ESSL is installed (see the manual for instructions on how to declare the existence of external packages), a matrix type can be constructed which invokes ESSL solvers. After calling MatCreate(...,A), simply call MatSetType(A,MATESSL). This matrix type is only supported for double precision real.

This matrix inherits from MATSEQAIJ. As a result, MatSeqAIJSetPreallocation is supported for this matrix type. One can also call MatConvert for an inplace conversion to or from the MATSEQAIJ type without data copy.

### Options Database Keys

-mat_type essl -sets the matrix type to "essl" during a call to MatSetFromOptions()

### See Also

PCLU

Level:beginner
Location:src/mat/impls/aij/seq/essl/essl.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages